LibreOffice LibreOffice 6.0 SDK API Reference

Modules | Variables
AnimationTransformType.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::animations
| interfaces for SMIL animations.

## Constant Groups
constants | com::sun::star::animations::AnimationTransformType
| Specifies the transformation type for an XAnimateTransform.

## Variables
const short | TRANSLATE = 0
| defines a translation More...
const short | SCALE = 1
| defines a scale More...
const short | ROTATE = 2
| defines a rotation More...
const short | SKEWX = 3
| defines a skew transformation for x-axis More...
const short | SKEWY = 4
| defines a skew transformation for y-axis More...